# $Revision: 1.1 $, $Date: 2002/07/13 23:13:46 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Language
%define	pnam	Mumps
Summary:	Language::Mumps perl module
Summary(pl):	Modu perla Language::Mumps
Name:		perl-Language-Mumps
Version:	1.06
Release:	1
License:	free use, but modifications must be notified to the author
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package implements a MUMPS to Perl compiler. A script for
interpreting and running MUMPS programs is now supplied. The standard
library is based on MumpsVM, another free MUMPS implementation.

%description -l pl
Ten pakiet jest implementacj MUMPS. Doczony jest take skrypt do
interpretowania i uruchamiania programw w MUMPS. Standardowa
biblioteka jest bazowana na MumpsVM, innej wolnodostpnej
implementacji MUMPS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README examples/*
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/Language/Mumps.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Language-Mumps.spec,v $
Revision 1.1  2002/07/13 23:13:46  qboosh
- new

